package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.StandardInspectionItemRelation;
import com.ruoyi.domain.vo.DictDataVO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StandardInspectionItemRelationMapper extends BaseMapper<StandardInspectionItemRelation> {

    List<DictDataVO> getListByStandardId(Long standardId);

    /**
     * 根据标准id获取列表
     * @param standardId
     * @return
     */
    List<StandardInspectionItemRelation> getListByStandard(Long standardId);
}
